nantekkotai's blog

おもに技術とお仕事に関連することを書いています。

gem installでzlibが無い -> Ruby1.9.2で設定する

$ gem install passenger

をやろうとしたら、zlibが無いとか怒られた。

やり方はここで解決。
http://akabeko.sakura.ne.jp/blog/2010/09/%E3%81%95%E3%81%8F%E3%82%89%E3%81%AEvps-%E3%82%92%E4%BD%BF%E3%81%84%E3%81%AF%E3%81%98%E3%82%81%E3%82%8B-6/

まずzlibをインストール。面倒だから全部。

$ yum install zlib*

Ruby側の設定。

$ cd ext/zlib
$ ruby extconf.rb --with-zlib-include=/usr/include --with-zlib-lib=/usr/lib
$ sudo make
$ make install